Bug 564623

Summary: FTBFS wmweather+-2.9-12.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: wmweather+Assignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: andreas.bierfert, bruno
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: wmweather+-2.11-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-16 19:38:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 564245    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
Patch to Makefile.in
none
Patch for Makefile.am none

Description FTBFS 2010-02-13 11:24:22 EST
wmweather+-2.9-12.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 11:24:25 EST
Created attachment 390786 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 11:24:26 EST
Created attachment 390787 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 11:24:27 EST
Created attachment 390788 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 11:24:28 EST
Created attachment 390789 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 11:24:30 EST
Created attachment 390790 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 11:24:31 EST
Created attachment 390791 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:34:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bruno Wolff III 2010-03-27 16:22:10 EDT
Created attachment 403034 [details]
Patch to Makefile.in

wmweather uses the math library without explicitly requiring it. This breaks builds on F13. Adding -lm in Makefile.in will allow it to build in F13+.
Comment 9 Bruno Wolff III 2010-03-27 16:24:09 EDT
Created attachment 403035 [details]
Patch for Makefile.am

While Makefile.am isn't used directly for Fedora builds, it does get used by upstream to build Makefile.in. So the patch should get sent upstream.
Comment 10 Fedora Update System 2010-03-28 16:31:57 EDT
wmweather+-2.11-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wmweather+-2.11-2.fc13
Comment 11 Fedora Update System 2010-04-01 15:31:31 EDT
wmweather+-2.11-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wmweather+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wmweather+-2.11-2.fc13
Comment 12 Fedora Update System 2010-04-16 19:38:49 EDT
wmweather+-2.11-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.